#include "structure.h"

#include <iostream>

namespace fraction {

  Fraction creer(int n, int d) {
    Fraction f;
    f.numerateur = n;
    f.denominateur = d;
    return f;
  }

  Fraction creer(float v, int d) {
    Fraction f;
    f.numerateur = int(v * float(d));
    f.denominateur = d;
    return f;
  }

  Fraction simplifier( const Fraction & a ) {
    int diviseur = pgcd(a.numerateur,a.denominateur);
    return creer( a.numerateur / diviseur, a.denominateur / diviseur );
  }

  void afficher(const Fraction & f, ModeAffichage mode) {
    switch (mode) {
      case SIMPLIFIE:
      {
        Fraction g = simplifier(f);
        std::cout << g.numerateur << " / " << g.denominateur << std::endl;
      }
      break;
      case PARTIE_ENTIERE:
      {
        Fraction h = simplifier(f);
        int entier = h.numerateur / h.denominateur;
        h.numerateur = h.numerateur % h.denominateur;
        std::cout << entier << " + " << h.numerateur << " / " << h.denominateur << std::endl;
      }
      break;
      case BRUT:
      {
        std::cout << f.numerateur << " / " << f.denominateur << std::endl;
      }
      break;
    }
  }

}
