#ifndef STRUCTURE_H_INCLUDED
#define STRUCTURE_H_INCLUDED

namespace fraction {

  enum ModeAffichage {
    DEFAULT,
    BRUT = DEFAULT,
    SIMPLIFIE,
    PARTIE_ENTIERE
  };

  struct Fraction {
    int numerateur;
    int denominateur;
  };

  int pgcd( int a, int b );

  Fraction creer(int n, int d = 1);
  Fraction creer(float v, int d = 100);
  Fraction simplifier( const Fraction & a );
  void afficher(const Fraction & f, ModeAffichage mode = DEFAULT);

}

inline int fraction::pgcd( int a, int b ) {
  while (b > 0) {
    int r = a % b;
    a = b;
    b = r;
  }
  return a;
}

#endif // STRUCTURE_H_INCLUDED
